	.386
	.model	use32 small

	public	_cos
	extrn	trigerr : proc

	.data
nm	db	"cos",0

	.code
_cos:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	qword ptr [ecx]
	fcos
	lea	eax,[nm]
	call	trigerr
	leave
	ret
	end